## ros-noetic-schunk-svh-msgs 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(schunk_svh_msgs)

find_package(catkin REQUIRED COMPONENTS
    actionlib_msgs
    message_generation
    std_msgs
    std_srvs
)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  SVHDiagnosticsFinger.msg
  SVHDiagnosticsToProtocol.msg
)

## Generate services in the 'srv' folder
add_service_files(
   FILES
   HomeAll.srv
   HomeWithChannels.srv
   SetAllChannelForceLimits.srv
   SetChannelForceLimit.srv
)

## Generate actions in the 'action' folder
add_action_files(
  FILES
  SVHDiagnostics.action
)

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   actionlib_msgs
   std_msgs
   std_srvs
)


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    message_runtime
    std_msgs
    std_srvs
)

#############
## Install ##
#############

=== debian/changelog ===
ros-noetic-schunk-svh-msgs (0.1.2-1focal) focal; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 04 Jan 2023 23:00:00 -0000

ros-noetic-schunk-svh-msgs (0.1.1-1focal) focal; urgency=high

  * Merge branch 'update-license-ros1' into 'update-and-upgrade'
    Switch license to the GPLv3
    See merge request ros/schunk_svh_driver!23
  * Update SPDX license indicator in package.xml
    This is according to
    here <https://www.gnu.org/licenses/identify-licenses-clearly.html>.
  * Update top-level readme
    Also add lightweight readmes for each sub package.
  * Merge branch 'meta-package' into 'update-and-upgrade'
    Meta package
    See merge request ros/schunk_svh_driver!20
  * Fix message_runtime dependency for msgs
  * Add a sub package for messages
    That's cleaner for releases.
  * Contributors: Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 19 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-schunk-svh-msgs
Section: misc
Priority: optional
Maintainer: Stefan Scherzinger <scherzin@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs, ros-noetic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-schunk-svh-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib-msgs, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-std-msgs, ros-noetic-std-srvs
Description: ROS1 messages, services, and actions for the Schunk SVH five finger hand
